libosmo-sigtran: osmo_ss7_combined_linkset Struct Reference

libosmo-sigtran 2.2.1.99-1c6a Osmocom SIGTRAN library

Data Fields
osmo_ss7_combined_linkset Struct Reference

`#include <ss7_combined_linkset.h>`

## Data Fields
struct llist_head | list
| member in osmo_ss7_route_table::combined_linksets More...
struct osmo_ss7_route_table * | rtable
| osmo_ss7_route_table to which we belong More...
struct osmo_ss7_esls_entry | esls_table [NUM_EXT_SLS]
struct llist_head | routes
| list of osmo_ss7_route More...
unsigned int | num_routes
void * | last_route_roundrobin_ass
void * | last_route_roundrobin_tx
struct {
uint32_t pc
uint32_t mask
uint32_t priority
| lower priority is higher More...
} | cfg

## Field Documentation

## ◆

struct { ... } osmo_ss7_combined_linkset::cfg

Referenced by DEFUN(), ss7_combined_linkset_alloc(), ss7_combined_linkset_insert(), ss7_route_table_dpc_is_accessible(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_combined_linkset(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), and vty_dump_rtable().

## ◆ esls_table

struct osmo_ss7_esls_entry osmo_ss7_combined_linkset::esls_table[NUM_EXT_SLS]

Referenced by DEFUN(), ss7_combined_linkset_del_route(), and ss7_combined_linkset_lookup_route().

## ◆ last_route_roundrobin_ass

void* osmo_ss7_combined_linkset::last_route_roundrobin_ass

Referenced by ss7_combined_linkset_assign_route_roundrobin(), and ss7_combined_linkset_del_route().

## ◆ last_route_roundrobin_tx

void* osmo_ss7_combined_linkset::last_route_roundrobin_tx

Referenced by ss7_combined_linkset_del_route(), and ss7_combined_linkset_select_route_roundrobin().

## ◆ list

struct llist_head osmo_ss7_combined_linkset::list

member in osmo_ss7_route_table::combined_linksets

Referenced by DEFUN(), ss7_combined_linkset_del_route(), ss7_combined_linkset_free(), ss7_combined_linkset_insert(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_dpc_is_accessible(), ss7_route_table_find_combined_linkset(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), and ss7_route_table_update_route_status_by_as().

## ◆ mask

uint32_t osmo_ss7_combined_linkset::mask

Referenced by DEFUN(), ss7_combined_linkset_alloc(), ss7_combined_linkset_insert(), ss7_route_table_dpc_is_accessible(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_combined_linkset(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_or_create_combined_linkset(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), and vty_dump_rtable().

## ◆ num_routes

unsigned int osmo_ss7_combined_linkset::num_routes

Referenced by ss7_combined_linkset_add_route(), ss7_combined_linkset_assign_route_roundrobin(), ss7_combined_linkset_del_route(), and ss7_combined_linkset_select_route_roundrobin().

## ◆ pc

uint32_t osmo_ss7_combined_linkset::pc

Referenced by DEFUN(), ss7_combined_linkset_alloc(), ss7_route_table_dpc_is_accessible(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_combined_linkset(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), and vty_dump_rtable().

## ◆ priority

uint32_t osmo_ss7_combined_linkset::priority

lower priority is higher

Referenced by ss7_combined_linkset_alloc(), ss7_combined_linkset_insert(), and ss7_route_table_find_combined_linkset().

## ◆ routes

struct llist_head osmo_ss7_combined_linkset::routes

list of osmo_ss7_route

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), ss7_combined_linkset_add_route(), ss7_combined_linkset_alloc(), ss7_combined_linkset_assign_route_roundrobin(), ss7_combined_linkset_del_route(), ss7_combined_linkset_is_available(), ss7_combined_linkset_select_route_roundrobin(), ss7_route_insert(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_update_route_status_by_as(), vty_dump_rtable(), and write_one_rtable().

## ◆ rtable

struct osmo_ss7_route_table* osmo_ss7_combined_linkset::rtable

osmo_ss7_route_table to which we belong

Referenced by DEFUN(), ss7_combined_linkset_alloc(), ss7_combined_linkset_insert(), ss7_combined_linkset_lookup_route(), and ss7_route_table_find_or_create_combined_linkset().

The documentation for this struct was generated from the following file:

- src/ss7_combined_linkset.h